Subject: Re: [RFC/PATCH] powerpc: Use rtas query-cpu-stopped-state in smp spinup

From: Anton Blanchard <[email-masked]>
Date: Tue, 4 Apr 2006 22:42:48 +1000

Hi,

> Currently we use a cpumask called of_spin_map to keep track of which threads
> have been spun up. We basically guess that OF has spun up all even numbered
> threads, and so all the odd numbered threads need to be brought up.
> 
> That's a bit of a dicey assumption at best, and is totally incorrect for
> kexec. Luckily we have an rtas call which can tell us whether a cpu is up
> or not, so let's use it?

I have a bad feeling its broken on some older (POWER3) machines.

Anton